Loading...
Searching...
No Matches
Dune::Functions::Concept::EntitySet Struct Reference
Functions » Function concepts

Concept for an entity set for a Concept::GridFunction<Range(Domain), EntitySet, DerivativeTraits>. More...

`#include <dune/functions/common/functionconcepts.hh>`

## Public Member Functions

template<class E>
auto | require (E &&f) -> decltype(requireType< typename E::Element >(), requireType< typename E::LocalCoordinate >(), requireType< typename E::GlobalCoordinate >())

## Detailed Description

Concept for an entity set for a Concept::GridFunction<Range(Domain), EntitySet, DerivativeTraits>.

This describes the set of entities on which a grid function can be localized.

## Member Function Documentation

## require()

template<class E>

auto Dune::Functions::Concept::EntitySet::require | ( | E && | f | ) | ->decltype(requireType< typenameE::Element >(), requireType< typenameE::LocalCoordinate >(), requireType< typenameE::GlobalCoordinate >())

The documentation for this struct was generated from the following file:

- functionconcepts.hh